WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?  (Read 1995 times)

Offline onelife

  • Full Member
  • ***
  • Posts: 141
Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« on: September 08, 2021, 10:59:09 AM »
Hi Forum,

I'm wondering if it is possible to keep TC 8.1.5 (Yes I know an old version - but it has all the "things" I need working on it) but update the "firmware" to the latest so that the OS can run on Raspberry Pi 3B+. I think the boot partition would be where I start - But I know I can't modify the modules etc so I am wondering if the files required to boot the 3B+ are simply not possible on 8.1.5 OR maybe it is :) - Any suggestions on how this could be done?

Many Thanks.

Offline Paul_123

  • Administrator
  • Hero Member
  • *****
  • Posts: 769
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #1 on: September 08, 2021, 12:28:15 PM »
Nothing is impossible,  but that’s why we release new version of piCore.   The 3B+ when it was released, needed a newer kernel too.  You could build your own kernel, and remaster the version 8 image, but we are not going to do it globally.

piCore 13 is the latest.


Offline onelife

  • Full Member
  • ***
  • Posts: 141
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #2 on: September 12, 2021, 12:42:47 PM »
Thank you Paul - Yip, fully think the better option is to give a total upgrade a try again. I last tried on 10.x and at the time there were no alsa modules - so compiling those were way out of my depth. However, I now see 13.x has ALSA :) :) woop woop.

So I am trying again to build a new system - I'll start another thread - But do you have any idea how we can add :

vtun.tcz
visudo.tcz

to the 13.x repo? I've tried to install these but I see not available.

Chat when you can - Thank you!

Offline Paul_123

  • Administrator
  • Hero Member
  • *****
  • Posts: 769
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #3 on: September 12, 2021, 07:29:27 PM »
If you had them on your old system, you can just copy them to the new system, they will probably work.

Offline onelife

  • Full Member
  • ***
  • Posts: 141
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #4 on: September 14, 2021, 01:24:59 AM »
Very odd - I can't reply to this thread with my message - I keep getting internal server error - Sending this short message as a test.

Offline onelife

  • Full Member
  • ***
  • Posts: 141
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #5 on: September 14, 2021, 01:25:54 AM »
So that worked, but not the attached comment :( - Any idea why


Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13398
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #6 on: September 14, 2021, 02:28:44 AM »
You would need to recompile vtun against the latest openssl extension - the build script is here: http://tinycorelinux.net/6.x/armv6/tcz/src/vtun/

Are you looking to add a user to piCore or use a different user name - you can use a boot code for the latter.

Offline onelife

  • Full Member
  • ***
  • Posts: 141
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #7 on: September 14, 2021, 08:53:51 AM »
Thank you Juanito,

I think I've tried the right thing to make - but I get this error at the end :

make: *** [Makefile:59: lfd_encrypt.o] Error 1

I can't see if this is a missing tcz make needs?

Any ideas?

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 13398
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #8 on: September 14, 2021, 09:21:40 AM »
“make V=1” will give more error details.

Offline onelife

  • Full Member
  • ***
  • Posts: 141
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #9 on: September 14, 2021, 09:44:44 AM »
I added the V=1 to the make command? is that right? I don't get anything different in doing that :(

Offline onelife

  • Full Member
  • ***
  • Posts: 141
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #10 on: September 14, 2021, 09:53:33 AM »
I thought I'd attached a copy of the make.log and see if maybe you can see where I'm going wrong.

Thank you!

Offline onelife

  • Full Member
  • ***
  • Posts: 141
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #11 on: September 14, 2021, 10:11:16 AM »
I guess I could be far off - but is this maybe something related :

https://sourceforge.net/p/vtun/patches/25/

Thank you!

Offline Rich

  • Administrator
  • Hero Member
  • *****
  • Posts: 9659
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #12 on: September 14, 2021, 10:42:33 AM »
Hi onelife
Code: [Select]
lib.h: In function 'read_n':
lib.h:74:13: warning: implicit declaration of function 'read'; did you mean 'fread'? [-Wimplicit-function-declaration]
   74 |    if( (w = read(fd, buf, len)) < 0 ){
      |             ^~~~
      |             fread
lib.h: In function 'write_n':
lib.h:93:14: warning: implicit declaration of function 'write'; did you mean 'fwrite'? [-Wimplicit-function-declaration]
   93 |     if( (w = write(fd, buf, len)) < 0 ){
      |              ^~~~~
      |              fwrite
read  and  write  prototypes are supplied by  unistd.h.

Did you install  compiletc.tcz ?

Offline onelife

  • Full Member
  • ***
  • Posts: 141
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #13 on: September 14, 2021, 10:51:22 AM »
yes, compiletc.tcz is installed - not sure if that was needed but sounded like the compile?

Offline onelife

  • Full Member
  • ***
  • Posts: 141
Re: Is it possible to update 8.1.5 for Raspberry Pi 3B+ board support?
« Reply #14 on: September 14, 2021, 10:55:59 AM »
Oh I also now tried with vtun 3.0.4 source and updated the build script - But I get the same errors :(

Sorry, I'm really not a dev so this is "shots in the dark" here - Anyway anyone else might already have compiled vtun for TC13?

Kind Regards